SUPPORTED_EXTENSIONS = [
    # Web & JavaScript related
    '.js', '.jsx', '.ts', '.tsx', '.mjs', '.cjs', '.vue', '.svelte', 
    
    # Python related
    '.py', '.pyw', '.pyx', '.pxd', '.pxi', '.pyc', '.pyd', '.pyo', '.ipynb',
    
    # Java related
    '.java', '.jar', '.class', '.jsp', '.jspx', '.groovy', '.gradle',
    
    # C/C++ related
    '.c', '.cpp', '.cc', '.cxx', '.c++', '.h', '.hpp', '.hxx', '.h++',
    
    # C# and .NET
    '.cs', '.vb', '.fs', '.fsx', '.xaml', '.cshtml', '.csx',
    
    # Ruby related
    '.rb', '.rbx', '.rjs', '.rake', '.gem', '.ru', '.erb',
    
    # PHP related
    '.php', '.php3', '.php4', '.php5', '.phtml', '.phps',
    
    # Go related
    '.go', '.mod',
    
    # Rust related
    '.rs', '.rlib',
    
    # Swift related
    '.swift', '.swiftdoc', '.swiftmodule',
    
    # Kotlin related
    '.kt', '.kts', '.ktm',
    
    # Scala related
    '.scala', '.sc',
    
    # Shell and scripting
    '.sh', '.bash', '.zsh', '.fish', '.ps1', '.psm1', '.bat', '.cmd',
    
    # Web related (markup/styling)
    '.html', '.htm', '.xhtml', '.css', '.scss', '.sass', '.less', '.styl',
    
    # Database related
    # '.sql', '.sqlite', '.plsql',
    
    # Other languages
    '.r', '.rmd',          # R
    '.lua',               # Lua
    '.pl', '.pm',         # Perl
    '.ml', '.mli',        # OCaml
    '.ex', '.exs',        # Elixir
    '.elm',               # Elm
    '.clj', '.cljs',      # Clojure
    '.coffee',            # CoffeeScript
    '.dart',              # Dart
    '.f', '.f90', '.f95', # Fortran
    '.hs', '.lhs',        # Haskell
    '.jl',                # Julia
    '.lisp', '.cl',       # Lisp
    '.m', '.mm',          # Objective-C/Matlab
    '.pas',               # Pascal
    '.v', '.vh',          # Verilog
    '.rs',                # Rust
    '.sol',               # Solidity
    '.tcl',               # Tcl
    '.vhd', '.vhdl',      # VHDL
    
    # Configuration and data formats
    # '.json', '.yaml', '.yml', '.toml', '.xml', '.proto',
    
    # Documentation
    # '.md', '.mdx', '.rst', '.asciidoc', '.adoc',
    
    # Template files
    '.ejs', '.hbs', '.mustache', '.twig', '.jinja', '.jinja2',
    
    # Mobile development
    # '.xcodeproj',         # iOS
    # '.gradle',            # Android
    # '.apk',               # Android package
    # '.ipa',               # iOS package
    
    # # Assembly
    # '.asm', '.s', '.nasm',
    
    # # WebAssembly
    # '.wat', '.wasm',
    
    # # GraphQL
    # '.gql', '.graphql',
    
    # # Cuda
    # '.cu', '.cuh',
    
    # TypeScript declaration files
    '.d.ts',
    
    # Unity/Game Development
    '.unity', '.prefab', '.mat', '.shader',
    
    # Docker
    '.dockerfile', '.dockerignore',
    
    # Terraform/Infrastructure as Code
    '.tf', '.tfvars', '.hcl'
]